﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;
using System.Collections.ObjectModel;

namespace Geoservice.Kpi.WPF.TestUI
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public double scatterNumericXAxis { get; set; }
        public double scatterNumericYAxis { get; set; }
        public MainWindow()
        {    
            InitializeComponent();
        }

        private void theChart_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            //var s = theChart.Series.FirstOrDefault();
            //if (s == null)
            //{
            //    return;
            //}

            //var position = e.GetPosition(s);

            ////we are only accounting for CategoryDateTimeXAxis in the following logic.  
            //if (!s.Chart.Axes.OfType<CategoryDateTimeXAxis>().Any())
            //{
            //    return;
            //}

            //var x = s.Chart.Axes.OfType<CategoryDateTimeXAxis>().First();
            //var y = s.Chart.Axes.OfType<NumericYAxis>().First();

            //var viewport = new Rect(0, 0, x.ActualWidth, y.ActualHeight);
            //var window = s.Chart.WindowRect;

            //var unscaledX = x.GetUnscaledValue(position.X, window, viewport);
            //var unscaledY = y.GetUnscaledValue(position.Y, window, viewport);

            //MessageBox.Show("x: " + new DateTime((long)unscaledX) + ", y:" + unscaledY);
           
        }

        private void series_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {

        }

        private void theChart3_Loaded(object sender, RoutedEventArgs e)
        {
            (sender as XamDataChart).WindowRect = theChart1.ActualWindowRect;       
        }  
    }


    public class TestData : ObservableCollection<TestDataItem>
    {
        public TestData()
        {
            Add(new TestDataItem()
            {
                Date = DateTime.Now.AddDays(-4),
                Value = 1
            });
            Add(new TestDataItem()
            {
                Date = DateTime.Now.AddDays(-3),
                Value = 2
            });
            Add(new TestDataItem()
            {
                Date = DateTime.Now.AddDays(-2),
                Value = 3
            });
            Add(new TestDataItem()
            {
                Date = DateTime.Now.AddDays(-1),
                Value = 4
            });
            for (int i = 0; i < 5000; i++)
            {
                Add(new TestDataItem()
            {
                Date = DateTime.Now.AddHours(-i),
                Value = i
            });
            }
        }
    }


    public class TestData2 : ObservableCollection<TestDataItem>
    {
        public TestData2()
        {
            Add(new TestDataItem()
            {
                Date = DateTime.Now.AddDays(-4),
                Value = 1
            });
            Add(new TestDataItem()
            {
                Date = DateTime.Now.AddDays(-3),
                Value = 2
            });
            Add(new TestDataItem()
            {
                Date = DateTime.Now.AddDays(-2),
                Value = 3
            });
            Add(new TestDataItem()
            {
                Date = DateTime.Now.AddDays(-1),
                Value = 4
            });
            for (int i = 0; i < 10000; i++)
            {
                Add(new TestDataItem()
                {
                    Date = DateTime.Now.AddHours(-i),
                    Value = i
                });
            }
        }
    }
    public class TestDataItem
    {
        public DateTime Date { get; set; }
        public double Value { get; set; }
    }  
}
